
GammaLib - Action #1784

Use of the IRF with different energy bounds with respect to the default 

05/31/2016 03:11 PM - Donnarumma Imma

Status: Closed Start date: 05/31/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

We found that ctobssim does some extrapolation of a given IRF for energy outside the validity range of the IRF itself.

This is clearly a problem because the resulting spectra extend to energy bins where we do not expect to have any significance.

Is it possible to change the code in order to avoid this kind of extrapolation?

Thanks,

Imma & Pere

Related issues:

Related to GammaLib - Bug # 1457: GCTAAeff2D effective area interpolation beh... Closed 04/24/2015

History

#1 - 06/03/2016 12:16 AM - Knödlseder Jürgen

- Project changed from ctools to GammaLib

I propose to limit the effective area response always to the energy (and offset angle) range that is specified by the file, hence no extrapolation should

be done beyond the boundaries of valid values. The same should also hold for the background rates.

I move this issue to the GammaLib project as the implementation of this change needs to be done at GammaLib level.

#2 - 06/03/2016 12:16 AM - Knödlseder Jürgen

- Target version set to 1.1.0

#3 - 06/21/2016 10:07 PM - Knödlseder Jürgen

- Related to Bug #1457: GCTAAeff2D effective area interpolation behaves weirdly outside given fits file range added

#4 - 06/21/2016 11:52 PM - Knödlseder Jürgen

- Status changed from New to Closed

The effective area outside the boundaries of the FITS table are now set to zero.

Code has been merged into devel.
